# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_GLSLProgram Struct Reference

VLX wrapper of vl::GLSLProgram. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_GLSLProgram:

List of all members.

## Public Member Functions

void | importGLSLProgram (VLXSerializer &s, const VLXStructure *vlx, GLSLProgram *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportGLSLProgram (VLXSerializer &s, const GLSLProgram *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::GLSLProgram.

Definition at line 2703 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_GLSLProgram::importGLSLProgram | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | GLSLProgram * | obj
| ) |  | `[inline]`

Definition at line 2705 of file VLXWrappers.hpp.

References vl::GLSLProgram::addAutoAttribLocation(), vl::Object::as(), vl::GLSLProgram::attachShader(), vl::GLSLProgram::bindFragDataLocation(), vl::VLXValue::getIdentifier(), vl::VLXValue::getList(), vl::VLXValue::getString(), vl::VLXValue::getStructure(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXSerializer::importVLX(), vl::VLXValue::Integer, vl::VLXValue::List, NULL, vl::Object::setObjectName(), vl::GLSLProgram::setUniform(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_GLSLProgram::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2763 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importGLSLProgram(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_GLSLProgram::exportGLSLProgram | ( | VLXSerializer & | s,
|  | const GLSLProgram * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2772 of file VLXWrappers.hpp.

References vl::GLSLProgram::autoAttribLocations(), vl::VLXSerializer::exportVLX(), vl::GLSLProgram::fragDataLocations(), vl::VLXValue::getList(), vl::GLSLProgram::getUniformSet(), vl::Object::objectName(), vl::VLXValue::setList(), vl::GLSLProgram::shader(), vl::GLSLProgram::shaderCount(), vl::UniformSet::uniforms(), vl::vlx_Identifier(), and vl::vlx_String().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_GLSLProgram::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2807 of file VLXWrappers.hpp.

References vl::Object::as(), exportGLSLProgram(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.